commit:     34b60e2cbc2aed0c3c1574d83ac640fe88781d47
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Wed Jul  7 17:24:58 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 17:24:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34b60e2c

games-puzzle/construo: version 0.2.3

Closes https://bugs.gentoo.org/739282

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 games-puzzle/construo/Manifest                     |  1 +
 games-puzzle/construo/construo-0.2.3.ebuild        | 38 ++++++++++++++++
 .../construo/files/construo-0.2.3-clang.patch      | 50 ++++++++++++++++++++++
 3 files changed, 89 insertions(+)

diff --git a/games-puzzle/construo/Manifest b/games-puzzle/construo/Manifest
index c7e527b8015..39aea78122d 100644
--- a/games-puzzle/construo/Manifest
+++ b/games-puzzle/construo/Manifest
@@ -1 +1,2 @@
 DIST construo-0.2.2.tar.gz 442626 BLAKE2B 
c6c9c566c8e4014aba1e06d12af2c3c3076d533a9f11513e903a6fff027ecbd3b492c1ca35a50b42dbd0aea5064614147529f2dcfd6b75af2376a7a410fdc470
 SHA512 
b73854a64aedcb9ddcd8f2c3e809f975ef3d2f63bdefd2e126c808a4154d7ff3d402457f9da5f866e6b9d74c6010ffc58d44b04277976fe1a9aeabc20ea786a9
+DIST construo-0.2.3.tar.gz 585891 BLAKE2B 
6970d9ce30553a72d59784d0e356705913fceaf8a7cf39873054f8122b29ffcda6757af8ce494fe989253e0e00de54d1d0c543d71403b65580ece6c1e8483be2
 SHA512 
b3b723e914fa3c08763b73cbd6ec340f70efefd28e2ff79e738cc5d71109304a90d2d0ddbd0277e587e4e134c5bd497dde15aebea2b318e5d3c07f339b769bf3

diff --git a/games-puzzle/construo/construo-0.2.3.ebuild 
b/games-puzzle/construo/construo-0.2.3.ebuild
new file mode 100644
index 00000000000..9e99b41dbdc
--- /dev/null
+++ b/games-puzzle/construo/construo-0.2.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools desktop
+
+DESCRIPTION="2d construction toy with objects that react on physical forces"
+HOMEPAGE="http://www.nongnu.org/construo/";
+SRC_URI="http://download-mirror.savannah.gnu.org/releases/construo/construo.pkg/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       media-libs/freeglut
+       virtual/glu
+       virtual/opengl
+       x11-libs/libXxf86vm
+"
+DEPEND="${RDEPEND}
+       x11-base/xorg-proto"
+
+PATCHES=(
+       "${FILESDIR}/construo-0.2.3-clang.patch"
+)
+
+src_prepare() {
+       default
+       sed -i -e 's/^bindir=.*/bindir=@bindir@/' src/Makefile.am || die
+       eautoreconf
+}
+
+src_install() {
+       default
+       make_desktop_entry "${PN}.glut" "${PN}.glut"
+       make_desktop_entry "${PN}.x11" "${PN}.x11"
+}

diff --git a/games-puzzle/construo/files/construo-0.2.3-clang.patch 
b/games-puzzle/construo/files/construo-0.2.3-clang.patch
new file mode 100644
index 00000000000..abc812e9eb8
--- /dev/null
+++ b/games-puzzle/construo/files/construo-0.2.3-clang.patch
@@ -0,0 +1,50 @@
+Fix FTBFS with clang
+
+diff --git a/src/construo.hpp b/src/construo.hpp
+index fb77e3e..41aa650 100644
+--- a/src/construo.hpp
++++ b/src/construo.hpp
+@@ -19,7 +19,7 @@
+ 
+ #include <config.h>
+ 
+-#define CONSTRUO_DATADIR DATADIR"/games/"PACKAGE
++#define CONSTRUO_DATADIR DATADIR "/games/" PACKAGE
+ 
+ class SystemContext;
+ class InputContext;
+diff --git a/src/command_line.cpp b/src/command_line.cpp
+index df4669b..824a947 100644
+--- a/src/command_line.cpp
++++ b/src/command_line.cpp
+@@ -118,7 +118,7 @@ CommandLine::parse (int argc, char** argv)
+ void
+ CommandLine::print_help ()
+ {
+-  std::cout << "Construo "VERSION"\n\n"
++  std::cout << "Construo " VERSION "\n\n"
+             << "Usage: construo [OPTIONS] [FILENAME]\n\n"
+             << "  -h, --help                  display this help text\n"
+             << "  -v,--version                Print version number of the 
programm\n"
+@@ -135,7 +135,7 @@ CommandLine::print_help ()
+ void
+ CommandLine::print_version ()
+ {
+-  std::cout << "Construo "VERSION"\n"
++  std::cout << "Construo " VERSION "\n"
+             << "Written by Ingo Ruhnke <[email protected]>\n\n"
+             << "Copyright (C) 2002 Ingo Ruhnke <[email protected]>\n"
+             << "This is free software; see the source for copying conditions. 
 There is NO\n"
+diff --git a/src/world_gui_manager.cpp b/src/world_gui_manager.cpp
+index 9c6a5f4..4a7cef0 100644
+--- a/src/world_gui_manager.cpp
++++ b/src/world_gui_manager.cpp
+@@ -273,7 +273,7 @@ WorldGUIManager::draw_overlay ()
+   graphic_context->draw_string (410, bottom_line, "Zoom: ");
+   graphic_context->draw_string (480, bottom_line, 
to_string(WorldViewComponent::instance()->get_zoom()));
+ 
+-  graphic_context->draw_string (610, bottom_line, "..:: Construo V"VERSION" 
::..");
++  graphic_context->draw_string (610, bottom_line, "..:: Construo V" VERSION " 
::..");
+   //graphic_context->draw_string (680, bottom_line, 
to_string(WorldViewComponent::instance()->get_zoom()));
+ }
+ 

Reply via email to